Subject: Re: [PATCH 11/25] powerpc: 4xx PLB to PCI Express support

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 09 Dec 2007 18:07:08 +1100

On Fri, 2007-12-07 at 08:02 +0100, Stefan Roese wrote:
> 
> > Ah... crap ! Do you think we should put that in the boot wrapper and
> > fixup the device-tree or should we put it in the PCIe code proper ?
> 
> How about this: We change the compatible node to "plb-pciex-440spe" 
> (without "A" and "B) and make a PVR runtime detection in the 4xx-pci
> driver.
> 
> What do you think? Should I prepare a patch for this?

I suppose that's the best way though we should do the detection the
other way around form the old code, that is detect rev A explicitely and
consider everything else rev B (just in case some new rev ever
appears..)

Yes, I would appreciate a patch, thanks.

Ben.